## org.apache.xml.serialize
Class OutputFormat.DTD

    java.lang.Object
      org.apache.xml.serialize.OutputFormat.DTD

Enclosing class:
  OutputFormat

    public static class OutputFormat.DTD

extends java.lang.Object

Field Summary
`static java.lang.String` `HTMLPublicId` Public identifier for HTML 4.01 (Strict) document type.
`static java.lang.String` `HTMLSystemId` System identifier for HTML 4.01 (Strict) document type.
`static java.lang.String` `XHTMLPublicId` Public identifier for XHTML 1.0 (Strict) document type.
`static java.lang.String` `XHTMLSystemId` System identifier for XHTML 1.0 (Strict) document type.

Constructor Summary
`OutputFormat.DTD()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTMLPublicId

    public static final java.lang.String HTMLPublicId

  Public identifier for HTML 4.01 (Strict) document type.

  See Also:
    Constant Field Values

### HTMLSystemId

    public static final java.lang.String HTMLSystemId

  System identifier for HTML 4.01 (Strict) document type.

  See Also:
    Constant Field Values

### XHTMLPublicId

    public static final java.lang.String XHTMLPublicId

  Public identifier for XHTML 1.0 (Strict) document type.

  See Also:
    Constant Field Values

### XHTMLSystemId

    public static final java.lang.String XHTMLSystemId

  System identifier for XHTML 1.0 (Strict) document type.

  See Also:
    Constant Field Values

Constructor Detail

### OutputFormat.DTD

    public OutputFormat.DTD()

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.